org.eclipse.rdf4j.sail.shacl.planNodes

## Enum UnorderedSelect.OutputPattern

- java.lang.Object
- - java.lang.Enum<UnorderedSelect.OutputPattern>
  - - org.eclipse.rdf4j.sail.shacl.planNodes.UnorderedSelect.OutputPattern

- All Implemented Interfaces:
    Serializable, Comparable<UnorderedSelect.OutputPattern>
  Enclosing class:
    UnorderedSelect

      public static enum UnorderedSelect.OutputPattern
      extends Enum<UnorderedSelect.OutputPattern>

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `ObjectPredicateSubject`
    `ObjectSubject`
    `SubjectObject`
    `SubjectPredicateObject`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static UnorderedSelect.OutputPattern` | `valueOf(String name)` Returns the enum constant of this type with the specified name.
    `static UnorderedSelect.OutputPattern[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SubjectObject

          public static final UnorderedSelect.OutputPattern SubjectObject

    - #### ObjectSubject

          public static final UnorderedSelect.OutputPattern ObjectSubject

    - #### ObjectPredicateSubject

          public static final UnorderedSelect.OutputPattern ObjectPredicateSubject

    - #### SubjectPredicateObject

          public static final UnorderedSelect.OutputPattern SubjectPredicateObject

  - ### Method Detail

    - #### values

          public static UnorderedSelect.OutputPattern[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (UnorderedSelect.OutputPattern c : UnorderedSelect.OutputPattern.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static UnorderedSelect.OutputPattern valueOf(String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `IllegalArgumentException` - if this enum type has no constant with the specified name
        `NullPointerException` - if the argument is null

Copyright © 2015-2021 Eclipse Foundation. All Rights Reserved.